#!/usr/bin/perl

use strict;

my $expected = $ARGV[0];

open EXP, $expected or die "can't open file";
my @exp_list = ();
while (<EXP>) {
  /^([^:]+:)\s*(.*)$/;
  push @exp_list, [$1, $2];
}
close EXP;

my $c_ok = 0;
my $c_fail = 0;
my $c_unexp_ok = 0;
my $c_exp_fail = 0;
$| = 1;
while (<STDIN>) {
  chomp;
  /^([^:]+:)\s*(.*)$/;
  my $pos = $1;
  my $oks = $2;
  my $ok = $oks =~ /ok/i;
  my @e = grep { $_->[0] eq $pos } @exp_list;
  if (@e) {
    if ($ok) {
      print $_ . " NOT EXPECTED\n";
      $c_unexp_ok++;
    } else {
      print $_ . " EXPECTED(" . $e[0]->[1] . ")\n";
      $c_exp_fail++;
    }
  } else {
    print "$_\n";
    $c_ok++ if $ok;
    $c_fail++ unless $ok;
  }
}
print "Ok $c_ok / Failure $c_fail / Unexpected Ok $c_unexp_ok / Expected Failure $c_exp_fail\n";

