/*
   This file is written by Lepidum Co., Ltd.
   Copyright (c) 2005-2006 by Lepidum Co., Ltd.
 */

/**
 * @file test/unix/rlimit.test.c
 */
#include "common.h"
#include <sys/resource.h>

/**
 * @testname rlimit_1
 * @testfor setrlimit
 * @testfor getrlimit
 */
TEST_CASE(rlimit_1)
{
  struct rlimit lim1, lim2;
  int n;
  lim1.rlim_cur = 1024;
  lim1.rlim_max = RLIM_INFINITY;
  n = setrlimit(RLIMIT_CORE, &lim1);
  TEST_FAIL_IF(n != 0);
  n = getrlimit(RLIMIT_CORE, &lim2);
  TEST_FAIL_IF(n != 0);
  TEST_FAIL_IF(lim2.rlim_cur != 1024);
  TEST_FAIL_IF(lim2.rlim_max != RLIM_INFINITY);
  TEST(1);
}

